<%@ page session="false" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>


<%-- INCLUDE the at.infonova.opencms.modules.templatehelper.CommonsTemplateHandler and store it into the request. --%>
<cms:include file="../elements/template_handler.jsp" />

<%-- If the current URI is a LayoutConfig-XML-Content, then use itself as Layoutconfig (Preview). --%>
<c:if test="${cms.resourceTypes[cms.requestContext.uri].typeName == 'layoutConfig'}">
    <c:set target="${cms}" property="layoutConfigPath" value="${cms.requestContext.uri}" />
</c:if>

<cms:template element="head">
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
	<head>

		<%-- Enable OpenCms-Direct-Edit-Field --%>
		<cms:editable />
		<script type="text/javascript">
		<!-- //Overwrite some function for correct positioned Direct-Edit-button. I'm not a designer, but it works......
			function findPosXOcms(obj) {
				return obj.offsetLeft;
			}
			function findPosYOcms(obj) {
				return obj.offsetTop;
			}
		//-->
		</script>


		<title> -=[ INFONOVA &trade; :: DEMO ]=- </title>
		<meta http-equiv="Content-Type" content="text/html; charset=${cms.encoding}" />
		<link rel="StyleSheet" href="${cms.link['../resources/css/style.css']}" type="text/css" />
		<style type="text/css">
		</style>

	</head>
	<body>
		<div id="bodyWrap">
			<div class="pageWrapper">
				<div id="header">
					<div id="heading">
						<div class="head"></div>
						<div id="logo">
							<h1>Logo &trade;</h1>
						</div>
						<cms:include file="../elements/template_nav_top.jsp" />
						<div class="clear" />
						<cms:include file="../elements/template_nav_sub.jsp" />
					</div>
				</div>
			</div>

			<div class="pageWrapper" id="main">
				<div id="mainOuter">
					<div id="mainInner">
</cms:template>

<cms:template element="left">
						<cms:include file="../elements/template_nav_left.jsp" />
</cms:template>

<cms:template element="right">
						<div class="right">
						</div>
</cms:template>

<cms:template element="content">
						<div class="content">
							<cms:include file="../elements/template_nav_breadcrumb.jsp" />

							<cms:include element="body" editable="true" />

						</div>
</cms:template>

<cms:template element="footer">
						<div class="clear mozclear"></div>
					</div>
				</div>
				<div class="hide" id="nsFooterClear"><!-- for NS4's sake --></div>
				<div id="footer" class="gap">
					Design &copy; 2005, <a href="http://virtualfunction.net/" target="_blank" title="Virtual Function: specialists in Web Design, Ruby on Rails programming, Database development, and bespoke solutions">Virtual Function Web Development</a>
				</div>
			</div>
		</div>
	</body>
</html>
</cms:template>